site_name: The DETERMINATOR
site_description: Generalist Deep Research Agent that Stops at Nothing
site_author: The DeepCritical Team
site_url: https://deepcritical.github.io/GradioDemo/

repo_name: DeepCritical/GradioDemo
repo_url: https://github.com/DeepCritical/GradioDemo
edit_uri: edit/dev/docs/

# Ensure all files are included even if not in nav
# strict: false

theme:
  name: material
  palette:
    # Light mode
    - scheme: default
      primary: orange
      accent: red
      toggle:
        icon: material/brightness-7
        name: Switch to dark mode
    # Dark mode
    - scheme: slate
      primary: orange
      accent: red
      toggle:
        icon: material/brightness-4
        name: Switch to light mode
  features:
    # Navigation features
    - navigation.tabs
    - navigation.sections
    - navigation.expand
    - navigation.top
    - navigation.indexes 
    - navigation.instant 
    - navigation.tracking 
    - navigation.smooth  
    # Search features
    - search.suggest
    - search.highlight
    # Content features
    - content.code.annotate
    - content.code.copy
    - content.tabs.link 
    - content.tooltips 
    - toc.integrate 
  icon:
    repo: fontawesome/brands/github
  language: en

plugins:
  - search:
      lang:
        - en
      separator: '[\s\-,:!=\[\]()"`/]+|\.(?!\d)|&[lg]t;|&amp;'
  - mermaid2
  - codeinclude
  - git-revision-date-localized:
      enable_creation_date: true
      enable_git_follow: false  # Disable follow to avoid timestamp ordering issues
      strict: false  # Bypass warnings about timestamp ordering issues
      type: timeago  # Shows "2 days ago" format
      fallback_to_build_date: true
  - minify:
      minify_html: true
      minify_js: true
      minify_css: true

markdown_extensions:
  - dev.docs_plugins:
      base_path: "."
  - pymdownx.highlight:
      anchor_linenums: true
      line_spans: __span  # Allow line spans for highlighting
      pygments_lang_class: true  # Add language class to code blocks
      use_pygments: true
      noclasses: false  # Use CSS classes for better theming
  - pymdownx.inlinehilite
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
      preserve_tabs: true
  - pymdownx.tabbed:
      alternate_style: true
      combine_header_slug: true  # Better tab linking
  - pymdownx.tasklist:
      custom_checkbox: true
  - pymdownx.emoji:
      emoji_generator: !!python/name:pymdownx.emoji.to_svg
      emoji_index: !!python/name:pymdownx.emoji.twemoji
  - pymdownx.snippets
  - admonition
  - pymdownx.details
  - attr_list
  - md_in_html
  - tables
  - meta  # Frontmatter support for tags, categories, etc.
  - toc:
      permalink: true
      permalink_title: "Anchor link to this section"
      baselevel: 1
      toc_depth: 3
      slugify: !!python/object/apply:pymdownx.slugs.slugify
        kwds:
          case: lower

nav:
  - Home: index.md
  - Overview:
    - overview/architecture.md
    - overview/features.md
  - Getting Started:
    - getting-started/installation.md
    - getting-started/quick-start.md
    - getting-started/mcp-integration.md
    - getting-started/examples.md
  - Configuration:
    - configuration/index.md
  - Architecture:
    - "Graph Orchestration": architecture/graph_orchestration.md
    - "Workflow Diagrams": architecture/workflow-diagrams.md
    - "Agents": architecture/agents.md
    - "Orchestrators": architecture/orchestrators.md
    - "Tools": architecture/tools.md
    - "Middleware": architecture/middleware.md
    - "Services": architecture/services.md
  - API Reference:
    - api/agents.md
    - api/tools.md
    - api/orchestrators.md
    - api/services.md
    - api/models.md
  - Contributing:
    - contributing/index.md
    - contributing/code-quality.md
    - contributing/code-style.md
    - contributing/error-handling.md
    - contributing/implementation-patterns.md
    - contributing/prompt-engineering.md
    - contributing/testing.md
  - License: LICENSE.md
  - Team: team.md

extra:
  social:
    - icon: fontawesome/brands/github
      link: https://github.com/DeepCritical/GradioDemo
      name: GitHub
    - icon: fontawesome/brands/twitter
      link: https://twitter.com/josephpollack
      name: Twitter
    - icon: material/web
      link: https://huggingface.co/spaces/DataQuests/DeepCritical
      name: Live Demo
    - icon: fontawesome/brands/discord
      link: https://discord.gg/n8ytYeh25n
      name: Discord
  generator:
    enabled: false  # Hide generator meta tag

copyright: Copyright &copy; 2024 DeepCritical Team

